diff options
author | Jim Meyering <jim@meyering.net> | 2005-10-24 13:41:17 +0000 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2005-10-24 13:41:17 +0000 |
commit | 465b852e3b0afd02ca615ad4cae3c056d2aeeb63 (patch) | |
tree | 3d00a83a8351547900c05fd9e47388d6fafddccb /tests/install/d-slashdot | |
parent | e9284455983b5b0df1a1c46e6c007792f98c9893 (diff) | |
download | coreutils-465b852e3b0afd02ca615ad4cae3c056d2aeeb63.tar.xz |
New test, for "install -d" failure.
Diffstat (limited to 'tests/install/d-slashdot')
-rwxr-xr-x | tests/install/d-slashdot | 31 |
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/install/d-slashdot b/tests/install/d-slashdot new file mode 100755 index 000000000..3c26b7b3b --- /dev/null +++ b/tests/install/d-slashdot @@ -0,0 +1,31 @@ +#!/bin/sh +# Ensure that ginstall -d works with arguments specified with a trailing "/.". + +if test "$VERBOSE" = yes; then + set -x + install --version +fi + +pwd=`pwd` +tmp=`echo "$0"|sed 's,.*/,,'`.tmp +trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0 +trap '(exit $?); exit' 1 2 13 15 + +framework_failure=0 +mkdir $tmp || framework_failure=1 +cd $tmp || framework_failure=1 + +if test $framework_failure = 1; then + echo 'failure in testing framework' + (exit 1); exit 1 +fi + +fail=0 + +ginstall -d d1/. || fail=1 +test -d d1 || fail=1 + +ginstall -d d2/.. || fail=1 +test -d d2 || fail=1 + +(exit $fail); exit $fail |